
from parser.CellData import CellData
from models.LIFACnoise import LifacNoiseModel


class SamAnalysis:
    pass


class SamAnalysisData(SamAnalysis):

    def __init__(self, cell_data):
        self.cell_data = cell_data

        self.mean_mod_freq_responses = []


class SamAnalysisModel(SamAnalysis):

    def __init__(self, model):
        pass





def get_sam_class(data) -> SamAnalysis:
    if isinstance(data, CellData):
        return SamAnalysisData(data)
    if isinstance(data, LifacNoiseModel):
        return SamAnalysisModel(data)

    raise ValueError("Unknown type: Cannot find corresponding SamAnalysis class. data was type:" + str(type(data)))